### Method

# GioUnix DesktopAppInfo get_action_name

since: 2.38

#### Declaration [src]

    gchar*
    g_desktop_app_info_get_action_name (
      GDesktopAppInfo* info,
      const gchar* action_name
    )

#### Description [src]

Gets the user-visible display name of the ‘additional application actions’ specified by `action_name`.

This corresponds to the `Name` key within the keyfile group for the action.

Available since: 2.38

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action as from `g_desktop_app_info_list_actions()`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The locale-specific action name.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.